Retrieve login activity
curl --request GET \
--url https://api.hubapi.com/account-info/2026-03/activity/login \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/account-info/2026-03/activity/login"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/account-info/2026-03/activity/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"loginAt": "2023-11-07T05:31:56Z",
"loginSucceeded": true,
"countryCode": "<string>",
"email": "<string>",
"ipAddress": "<string>",
"location": "<string>",
"regionCode": "<string>",
"userAgent": "<string>",
"userId": 123
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Audit Logs
Retrieve login activity
Retrieve logs of user actions related to login activity.
GET
/
account-info
/
2026-03
/
activity
/
login
Retrieve login activity
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on March 31, 2026
Was this page helpful?
⌘I